#include <iostream>
using namespace std;
#include<cmath>
#include<algorithm>

int main(int argc, char** argv)
 {
 	int n,x;
    cin>>n>>x;
    int a[n+1];
	a[0]=x;
	for(int i=1;i<n+1;i++)
	{ 
	   cin>>a[i];	
	} 
	int ind=0;
	sort(a,a+n+1);
	for(int i=0;i<n+1;i++)
	{
	    if(a[i]==x)
		{
	       	ind=i;
	       	break;
		}	
		
	}
	int s=0;
	for(int i=0;i<n+1;i++)
	{
	   if(ind>(n+1)/2)
	
	   	s=(a[n]-x)*2+x-a[0];
	
	else
	
	  s=(a[n]-x)+(x-a[0])*2;	
	
		}
    cout<<s;
	
}